Message (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.transport

## Class Message

- java.lang.Object
- - org.apache.cassandra.transport.Message

- Direct Known Subclasses:
    Message.Request, Message.Response

      public abstract class Message
      extends java.lang.Object

  A message from the CQL binary protocol.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Message.Codec<M extends Message>`
    `static class` | `Message.Direction`
    `static class` | `Message.Dispatcher`
    `static class` | `Message.ProtocolDecoder`
    `static class` | `Message.ProtocolEncoder`
    `static class` | `Message.Request`
    `static class` | `Message.Response`
    `static class` | `Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Connection` | `connection`
    `protected static org.slf4j.Logger` | `logger`
    `Message.Type` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Message(Message.Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attach(Connection connection)`
    `Connection` | `connection()`
    `Frame` | `getSourceFrame()`
    `int` | `getStreamId()`
    `void` | `setSourceFrame(Frame sourceFrame)`
    `Message` | `setStreamId(int streamId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### type

          public final Message.Type type

    - #### connection

          protected Connection connection

  - ### Constructor Detail

    - #### Message

          protected Message(Message.Type type)

  - ### Method Detail

    - #### attach

          public void attach(Connection connection)

    - #### connection

          public Connection connection()

    - #### setStreamId

          public Message setStreamId(int streamId)

    - #### getStreamId

          public int getStreamId()

    - #### setSourceFrame

          public void setSourceFrame(Frame sourceFrame)

    - #### getSourceFrame

          public Frame getSourceFrame()

Copyright © 2014 The Apache Software Foundation